/*
 * Copyright 2008 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 */


/*
 * HRTF.hpp
 *
 *  Created on: 2011/03/01
 *      Author: HARK Development Team
 */

#ifndef HRTF_HPP_
#define HRTF_HPP_

/** @file HRTF.hpp
 * Programs of Head Related Transfer Function.
 */

#include <vector>
#include <stdint.h>
#include <libharkio/libharkio.h>
#include <boost/shared_ptr.hpp>

namespace NSHarkBinaural
{

struct IIPDS;
boost::shared_ptr<IIPDS> HRTFToIIPDS(harkio::HARK& harkFile, unsigned int channelSelectL, unsigned int channelSelectR);

}

#endif /* HRTF_HPP_ */
